require "scripts/lua/functions"

--recupere les minutes
time=os.time()
seconds=tonumber(os.date('%S',time))
minutes=tonumber(os.date('%M',time))
heures=tonumber(os.date('%H',time))
jour=tonumber(os.date('%w',time))
mois=tonumber(os.date('%M',time))


--Initialise la commande de retour finale
commandArray={}

-- ------------------------------------------------------------------------------
-- Porte Frigo ouverte
-- ------------------------------------------------------------------------------
debug('Porte Frigo ' .. otherdevices['Porte Frigo'] .. ' temps ' .. lastUpdateOfDevice('Porte Frigo'))
-- Pas de traitement en cas d'alerte fumée
if otherdevices['Porte Frigo'] ~= 'Closed'
  -- Porte ouverte depuis trop longtemps
  and (lastUpdateOfDevice('Porte Frigo')) > 300 then

--    commandArray['SendNotification']='Frigo alerte#La porte du frigo est ouverte depuis trop longtemps !'

end

return commandArray
